
<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="X-UA-Compatible" content="IE=Edge" />
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title>Index &#8212; Mindstorms EV3 Toolbox v1.0 documentation</title>
    <link rel="stylesheet" href="_static/bootstrap-sphinx.css" type="text/css" />
    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
    <script type="text/javascript" id="documentation_options" data-url_root="./" src="_static/documentation_options.js"></script>
    <script type="text/javascript" src="_static/jquery.js"></script>
    <script type="text/javascript" src="_static/underscore.js"></script>
    <script type="text/javascript" src="_static/doctools.js"></script>
    <script type="text/javascript" src="_static/language_data.js"></script>
    <link rel="index" title="Index" href="#" />
    <link rel="search" title="Search" href="search.html" />
<meta charset='utf-8'>
<meta http-equiv='X-UA-Compatible' content='IE=edge,chrome=1'>
<meta name='viewport' content='width=device-width, initial-scale=1.0, maximum-scale=1'>
<meta name="apple-mobile-web-app-capable" content="yes">
<script type="text/javascript" src="_static/js/jquery-1.11.0.min.js "></script>
<script type="text/javascript" src="_static/js/jquery-fix.js "></script>
<script type="text/javascript" src="_static/bootstrap-3.3.7/js/bootstrap.min.js "></script>
<script type="text/javascript" src="_static/bootstrap-sphinx.js "></script>

  </head><body>

  <div id="navbar" class="navbar navbar-default navbar-fixed-top">
    <div class="container">
      <div class="navbar-header">
        <!-- .btn-navbar is used as the toggle for collapsed navbar content -->
        <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".nav-collapse">
          <span class="icon-bar"></span>
          <span class="icon-bar"></span>
          <span class="icon-bar"></span>
        </button>
        <a class="navbar-brand" href="index.html">
          Mindstorms EV3 Toolbox</a>
        <span class="navbar-text navbar-version pull-left"><b>v1.0</b></span>
      </div>

        <div class="collapse navbar-collapse nav-collapse">
          <ul class="nav navbar-nav">
            
            
              <li class="dropdown globaltoc-container">
  <a role="button"
     id="dLabelGlobalToc"
     data-toggle="dropdown"
     data-target="#"
     href="index.html">Site <b class="caret"></b></a>
  <ul class="dropdown-menu globaltoc"
      role="menu"
      aria-labelledby="dLabelGlobalToc"><ul>
<li class="toctree-l1"><a class="reference internal" href="EV3.html">EV3</a></li>
<li class="toctree-l1"><a class="reference internal" href="Motor.html">Motor</a></li>
<li class="toctree-l1"><a class="reference internal" href="Sensor.html">Sensor</a></li>
</ul>
<ul>
<li class="toctree-l1"><a class="reference internal" href="hid.html">hidapi</a></li>
<li class="toctree-l1"><a class="reference internal" href="usbBrickIO.html">usbBrickIO</a></li>
<li class="toctree-l1"><a class="reference internal" href="btBrickIO.html">btBrickIO</a></li>
</ul>
</ul>
</li>
              
                <li class="dropdown">
  <a role="button"
     id="dLabelLocalToc"
     data-toggle="dropdown"
     data-target="#"
     href="#">Page <b class="caret"></b></a>
  <ul class="dropdown-menu localtoc"
      role="menu"
      aria-labelledby="dLabelLocalToc"></ul>
</li>
              
            
            
              
                
              
            
            
            
            
              <li class="hidden-sm"></li>
            
          </ul>

          
            
<form class="navbar-form navbar-right" action="search.html" method="get">
 <div class="form-group">
  <input type="text" name="q" class="form-control" placeholder="Search" />
 </div>
  <input type="hidden" name="check_keywords" value="yes" />
  <input type="hidden" name="area" value="default" />
</form>
          
        </div>
    </div>
  </div>

<div class="container">
  <div class="row">
    <div class="body col-md-12 content" role="main">
      

<h1 id="index">Index</h1>

<div class="genindex-jumpbox">
 <a href="#B"><strong>B</strong></a>
 | <a href="#C"><strong>C</strong></a>
 | <a href="#D"><strong>D</strong></a>
 | <a href="#E"><strong>E</strong></a>
 | <a href="#G"><strong>G</strong></a>
 | <a href="#H"><strong>H</strong></a>
 | <a href="#I"><strong>I</strong></a>
 | <a href="#L"><strong>L</strong></a>
 | <a href="#M"><strong>M</strong></a>
 | <a href="#N"><strong>N</strong></a>
 | <a href="#O"><strong>O</strong></a>
 | <a href="#P"><strong>P</strong></a>
 | <a href="#R"><strong>R</strong></a>
 | <a href="#S"><strong>S</strong></a>
 | <a href="#T"><strong>T</strong></a>
 | <a href="#U"><strong>U</strong></a>
 | <a href="#V"><strong>V</strong></a>
 | <a href="#W"><strong>W</strong></a>
 
</div>
<h2 id="B">B</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="btBrickIO.html#source.btBrickIO.backend">backend (source.btBrickIO attribute)</a>
</li>
      <li><a href="EV3.html#source.EV3.batteryMode">batteryMode (source.EV3 attribute)</a>, <a href="source.html#source.EV3.batteryMode">[1]</a>
</li>
      <li><a href="EV3.html#source.EV3.batteryValue">batteryValue (source.EV3 attribute)</a>, <a href="source.html#source.EV3.batteryValue">[1]</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="EV3.html#source.EV3.beep">beep() (source.EV3 method)</a>, <a href="source.html#source.EV3.beep">[1]</a>
</li>
      <li><a href="Motor.html#source.Motor.brakeMode">brakeMode (source.Motor attribute)</a>
</li>
      <li><a href="btBrickIO.html#source.btBrickIO">btBrickIO (class in source)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="C">C</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="btBrickIO.html#source.btBrickIO.channel">channel (source.btBrickIO attribute)</a>
</li>
      <li><a href="btBrickIO.html#source.btBrickIO.close">close() (source.btBrickIO method)</a>

      <ul>
        <li><a href="hid.html#source.hidapi.close">(source.hidapi method)</a>
</li>
        <li><a href="usbBrickIO.html#source.usbBrickIO.close">(source.usbBrickIO method)</a>
</li>
      </ul></li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="EV3.html#source.EV3.connect">connect() (source.EV3 method)</a>, <a href="source.html#source.EV3.connect">[1]</a>
</li>
      <li><a href="Motor.html#source.Motor.currentSpeed">currentSpeed (source.Motor attribute)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="D">D</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="btBrickIO.html#source.btBrickIO.debug">debug (source.btBrickIO attribute)</a>

      <ul>
        <li><a href="EV3.html#source.EV3.debug">(source.EV3 attribute)</a>, <a href="source.html#source.EV3.debug">[1]</a>
</li>
        <li><a href="Motor.html#source.Motor.debug">(source.Motor attribute)</a>
</li>
        <li><a href="Sensor.html#source.Sensor.debug">(source.Sensor attribute)</a>
</li>
        <li><a href="usbBrickIO.html#source.usbBrickIO.debug">(source.usbBrickIO attribute)</a>
</li>
      </ul></li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="btBrickIO.html#source.btBrickIO.deviceName">deviceName (source.btBrickIO attribute)</a>
</li>
      <li><a href="EV3.html#source.EV3.disconnect">disconnect() (source.EV3 method)</a>, <a href="source.html#source.EV3.disconnect">[1]</a>
</li>
  </ul></td>
</tr></table>

<h2 id="E">E</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="hid.html#source.hidapi.enumerate">enumerate() (source.hidapi method)</a>
</li>
      <li><a href="hid.html#source.hidapi.error">error() (source.hidapi method)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="EV3.html#source.EV3">EV3 (class in source)</a>, <a href="source.html#source.EV3">[1]</a>
</li>
      <li><a href="hid.html#source.hidapi.exit">exit() (source.hidapi method)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="G">G</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="hid.html#source.hidapi.getHIDInfoString">getHIDInfoString() (source.hidapi method)</a>
</li>
      <li><a href="hid.html#source.hidapi.getManufacturersString">getManufacturersString() (source.hidapi method)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="hid.html#source.hidapi.getProductString">getProductString() (source.hidapi method)</a>
</li>
      <li><a href="hid.html#source.hidapi.getSerialNumberString">getSerialNumberString() (source.hidapi method)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="H">H</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="hid.html#source.hidapi.handle">handle (source.hidapi attribute)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="hid.html#source.hidapi">hidapi (class in source)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="I">I</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="hid.html#source.hidapi.init">init() (source.hidapi method)</a>
</li>
      <li><a href="Motor.html#source.Motor.internalReset">internalReset() (source.Motor method)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="EV3.html#source.EV3.isConnected">isConnected (source.EV3 attribute)</a>, <a href="source.html#source.EV3.isConnected">[1]</a>
</li>
      <li><a href="Motor.html#source.Motor.isRunning">isRunning (source.Motor attribute)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="L">L</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="Motor.html#source.Motor.limitMode">limitMode (source.Motor attribute)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="Motor.html#source.Motor.limitValue">limitValue (source.Motor attribute)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="M">M</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="Sensor.html#source.Sensor.mode">mode (source.Sensor attribute)</a>
</li>
      <li><a href="Motor.html#source.Motor">Motor (class in source)</a>
</li>
      <li><a href="EV3.html#source.EV3.motorA">motorA (source.EV3 attribute)</a>, <a href="source.html#source.EV3.motorA">[1]</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="EV3.html#source.EV3.motorB">motorB (source.EV3 attribute)</a>, <a href="source.html#source.EV3.motorB">[1]</a>
</li>
      <li><a href="EV3.html#source.EV3.motorC">motorC (source.EV3 attribute)</a>, <a href="source.html#source.EV3.motorC">[1]</a>
</li>
      <li><a href="EV3.html#source.EV3.motorD">motorD (source.EV3 attribute)</a>, <a href="source.html#source.EV3.motorD">[1]</a>
</li>
  </ul></td>
</tr></table>

<h2 id="N">N</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="hid.html#source.hidapi.nReadBuffer">nReadBuffer (source.hidapi attribute)</a>

      <ul>
        <li><a href="usbBrickIO.html#source.usbBrickIO.nReadBuffer">(source.usbBrickIO attribute)</a>
</li>
      </ul></li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="hid.html#source.hidapi.nWriteBuffer">nWriteBuffer (source.hidapi attribute)</a>

      <ul>
        <li><a href="usbBrickIO.html#source.usbBrickIO.nWriteBuffer">(source.usbBrickIO attribute)</a>
</li>
      </ul></li>
  </ul></td>
</tr></table>

<h2 id="O">O</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="btBrickIO.html#source.btBrickIO.open">open() (source.btBrickIO method)</a>

      <ul>
        <li><a href="hid.html#source.hidapi.open">(source.hidapi method)</a>
</li>
        <li><a href="usbBrickIO.html#source.usbBrickIO.open">(source.usbBrickIO method)</a>
</li>
      </ul></li>
  </ul></td>
</tr></table>

<h2 id="P">P</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="EV3.html#source.EV3.playTone">playTone() (source.EV3 method)</a>, <a href="source.html#source.EV3.playTone">[1]</a>
</li>
      <li><a href="Motor.html#source.Motor.power">power (source.Motor attribute)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="hid.html#source.hidapi.productID">productID (source.hidapi attribute)</a>

      <ul>
        <li><a href="usbBrickIO.html#source.usbBrickIO.productID">(source.usbBrickIO attribute)</a>
</li>
      </ul></li>
  </ul></td>
</tr></table>

<h2 id="R">R</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="btBrickIO.html#source.btBrickIO.read">read() (source.btBrickIO method)</a>

      <ul>
        <li><a href="hid.html#source.hidapi.read">(source.hidapi method)</a>
</li>
        <li><a href="usbBrickIO.html#source.usbBrickIO.read">(source.usbBrickIO method)</a>
</li>
      </ul></li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="hid.html#source.hidapi.read_timeout">read_timeout() (source.hidapi method)</a>
</li>
      <li><a href="Sensor.html#source.Sensor.reset">reset() (source.Sensor method)</a>
</li>
      <li><a href="Motor.html#source.Motor.resetTachoCount">resetTachoCount() (source.Motor method)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="S">S</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="Sensor.html#source.Sensor">Sensor (class in source)</a>
</li>
      <li><a href="EV3.html#source.EV3.sensor1">sensor1 (source.EV3 attribute)</a>, <a href="source.html#source.EV3.sensor1">[1]</a>
</li>
      <li><a href="EV3.html#source.EV3.sensor2">sensor2 (source.EV3 attribute)</a>, <a href="source.html#source.EV3.sensor2">[1]</a>
</li>
      <li><a href="EV3.html#source.EV3.sensor3">sensor3 (source.EV3 attribute)</a>, <a href="source.html#source.EV3.sensor3">[1]</a>
</li>
      <li><a href="EV3.html#source.EV3.sensor4">sensor4 (source.EV3 attribute)</a>, <a href="source.html#source.EV3.sensor4">[1]</a>
</li>
      <li><a href="btBrickIO.html#source.btBrickIO.serialPort">serialPort (source.btBrickIO attribute)</a>
</li>
      <li><a href="Motor.html#source.Motor.setBrake">setBrake() (source.Motor method)</a>
</li>
      <li><a href="hid.html#source.hidapi.setNonBlocking">setNonBlocking() (source.hidapi method)</a>
</li>
      <li><a href="btBrickIO.html#source.btBrickIO.setProperties">setProperties() (source.btBrickIO method)</a>

      <ul>
        <li><a href="EV3.html#source.EV3.setProperties">(source.EV3 method)</a>, <a href="source.html#source.EV3.setProperties">[1]</a>
</li>
        <li><a href="Motor.html#source.Motor.setProperties">(source.Motor method)</a>
</li>
        <li><a href="Sensor.html#source.Sensor.setProperties">(source.Sensor method)</a>
</li>
        <li><a href="usbBrickIO.html#source.usbBrickIO.setProperties">(source.usbBrickIO method)</a>
</li>
      </ul></li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="hid.html#source.hidapi.sheader">sheader (source.hidapi attribute)</a>
</li>
      <li><a href="hid.html#source.hidapi.slib">slib (source.hidapi attribute)</a>
</li>
      <li><a href="Motor.html#source.Motor.smoothStart">smoothStart (source.Motor attribute)</a>
</li>
      <li><a href="Motor.html#source.Motor.smoothStop">smoothStop (source.Motor attribute)</a>
</li>
      <li><a href="CommandLayer.html#module-source">source (module)</a>, <a href="CommunicationLayer.html#module-source">[1]</a>, <a href="EV3.html#module-source">[2]</a>, <a href="Motor.html#module-source">[3]</a>, <a href="Sensor.html#module-source">[4]</a>, <a href="btBrickIO.html#module-source">[5]</a>, <a href="hid.html#module-source">[6]</a>, <a href="source.html#module-source">[7]</a>, <a href="usbBrickIO.html#module-source">[8]</a>
</li>
      <li><a href="Motor.html#source.Motor.speedRegulation">speedRegulation (source.Motor attribute)</a>
</li>
      <li><a href="Motor.html#source.Motor.start">start() (source.Motor method)</a>
</li>
      <li><a href="Motor.html#source.Motor.stop">stop() (source.Motor method)</a>
</li>
      <li><a href="EV3.html#source.EV3.stopTone">stopTone() (source.EV3 method)</a>, <a href="source.html#source.EV3.stopTone">[1]</a>
</li>
      <li><a href="Motor.html#source.Motor.syncedStart">syncedStart() (source.Motor method)</a>
</li>
      <li><a href="Motor.html#source.Motor.syncedStop">syncedStop() (source.Motor method)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="T">T</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="Motor.html#source.Motor.tachoCount">tachoCount (source.Motor attribute)</a>
</li>
      <li><a href="btBrickIO.html#source.btBrickIO.timeOut">timeOut (source.btBrickIO attribute)</a>

      <ul>
        <li><a href="usbBrickIO.html#source.usbBrickIO.timeOut">(source.usbBrickIO attribute)</a>
</li>
      </ul></li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="EV3.html#source.EV3.tonePlayed">tonePlayed() (source.EV3 method)</a>, <a href="source.html#source.EV3.tonePlayed">[1]</a>
</li>
      <li><a href="Motor.html#source.Motor.type">type (source.Motor attribute)</a>

      <ul>
        <li><a href="Sensor.html#source.Sensor.type">(source.Sensor attribute)</a>
</li>
      </ul></li>
  </ul></td>
</tr></table>

<h2 id="U">U</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="usbBrickIO.html#source.usbBrickIO">usbBrickIO (class in source)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="V">V</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="Sensor.html#source.Sensor.value">value (source.Sensor attribute)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="hid.html#source.hidapi.vendorID">vendorID (source.hidapi attribute)</a>

      <ul>
        <li><a href="usbBrickIO.html#source.usbBrickIO.vendorID">(source.usbBrickIO attribute)</a>
</li>
      </ul></li>
  </ul></td>
</tr></table>

<h2 id="W">W</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="Motor.html#source.Motor.waitFor">waitFor() (source.Motor method)</a>
</li>
      <li><a href="btBrickIO.html#source.btBrickIO.write">write() (source.btBrickIO method)</a>

      <ul>
        <li><a href="hid.html#source.hidapi.write">(source.hidapi method)</a>
</li>
        <li><a href="usbBrickIO.html#source.usbBrickIO.write">(source.usbBrickIO method)</a>
</li>
      </ul></li>
  </ul></td>
</tr></table>



    </div>
      
  </div>
</div>
<footer class="footer">
  <div class="container">
    <p class="pull-right">
      <a href="#">Back to top</a>
      
    </p>
    <p>
        &copy; Copyright 2017, RWTH Aachen.<br/>
      Created using <a href="http://sphinx-doc.org/">Sphinx</a> 1.8.5.<br/>
    </p>
  </div>
</footer>
  </body>
</html>